#pragma once

#if defined(INWORLD_IMPLEMENTATION)
#include "inworld_wrap.h"
#else
#include "inworld_stub.h"
#endif

#if PLATFORM_WINDOWS
namespace inworld
{
#ifdef __cplusplus
extern "C"
{
#endif
	using InworldExternalLogListener = void (*)(int severity, const char* message, int length);
#if defined(INWORLD_IMPLEMENTATION)
	SWIGIMPORT void RegisterExternalLogListener(InworldExternalLogListener LogListener);
	SWIGIMPORT void UnregisterExternalLogListener(InworldExternalLogListener LogListener);
#else
	inline void RegisterExternalLogListener(InworldExternalLogListener LogListener) {};
	inline void UnregisterExternalLogListener(InworldExternalLogListener LogListener) {};
#endif
#ifdef __cplusplus
}
#endif
}	 // namespace inworld
#endif
